Koozali.org formerly Contribs.org

Installazione Zabbix-agent fallita per dipendenze

Installazione Zabbix-agent fallita per dipendenze
« on: September 29, 2021, 03:17:45 PM »
Ciao a tutti , ho provato a installare Zabbix-agent per Smeserver 10 seguendo le indicazioni su contribs .
Il pacchetto mi richiede delle dipendenze :
Errore: Pacchetto: smeserver-zabbix-agent-0.4.8-2.el7.sme.noarch (smecontribs)
            Richiede: perl(Crypt::OpenSSL::X509)
Grazie a chi può darmi indicazioni .

Offline ReetP

  • *
  • 3,127
Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #1 on: September 29, 2021, 03:52:42 PM »
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #2 on: September 29, 2021, 03:54:55 PM »
Did you follow this?

https://wiki.koozali.org/Zabbix-agent
Yes at the moment I have enabled epel repo and the package is installed including for-ssl-x509
I don't know if I performed correctly

Offline ReetP

  • *
  • 3,127
Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #3 on: September 29, 2021, 04:18:07 PM »
Ahh - I think there may be an issue with the wiki - you need epel as well.

eg:

Code: [Select]
yum install smeserver-zabbix-agent --enablerepo=epel,smecontribs,zabbix42
Package is:

perl-crypt-openssl-x509

Let us know if that works and I will amend the wiki.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #4 on: September 29, 2021, 04:34:22 PM »
Ahh - I think there may be an issue with the wiki - you need epel as well.

eg:

Code: [Select]
yum install smeserver-zabbix-agent --enablerepo=epel,smecontribs,zabbix42
Package is:

perl-crypt-openssl-x509

Let us know if that works and I will amend the wiki.
In fact, I enabled epel and as written it worked regularly. Probably the wiki needs to be edited correctly. Thanks anyway for your help

Offline Jean-Philippe Pialasse

  • *
  • 1,995
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #5 on: September 29, 2021, 06:50:16 PM »
wiki is correct should not need epel.
we need to copy from epel all missing deps to smecontribs.
so this is a bug and need fixing

Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #6 on: September 29, 2021, 07:19:29 PM »
wiki is correct should not need epel.
we need to copy from epel all missing deps to smecontribs.
so this is a bug and need fixing
Ok, I thought we needed to add epel. Thanks for your info.

Offline Jean-Philippe Pialasse

  • *
  • 1,995
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #7 on: September 30, 2021, 02:40:30 PM »
can you list here the list of deps that were missing and pulled from outside of smecontribs, base, updates, smeupdates ?

it will ease resolution.

thanks

Re: Installazione Zabbix-agent fallita per dipendenze
« Reply #8 on: September 30, 2021, 03:51:13 PM »
can you list here the list of deps that were missing and pulled from outside of smecontribs, base, updates, smeupdates ?

it will ease resolution.

thanks
Yes, if the English translation works well ... hi.
It was just asking me for perl-crypt-openssl-x509.